#ifndef OFDSCENE_H
#define OFDSCENE_H

#include <QWidget>

namespace Ui {
class OFDScene;
}

class OFDScene : public QWidget
{
    Q_OBJECT

public:
    explicit OFDScene(QWidget *parent = nullptr);
    ~OFDScene();
    void startHttpServer();
private slots:
    void on_choose_image_button_clicked();
    void onDataDecode(std::string data);

    void on_parse_button_clicked();

    void on_binary_eye_button_clicked();

private:
    Ui::OFDScene *ui;
};

#endif // OFDSCENE_H
